//Scroll Animations
const observer = new IntersectionObserver((entries) => {
    entries.forEach((entry) => {
      // console.log(entry);
      if (entry.isIntersecting) {
        entry.target.classList.add('scrollup-show-item');
        observer.unobserve(entry.target);
      } else {
        entry.target.classList.remove('scrollup-show-item');
      }
    });
  });
  
  const hiddenElements = document.querySelectorAll('.scrollup-hidden-item');
  hiddenElements.forEach((el) => observer.observe(el));